Avro C#

Public Member Functions | List of all members
Avro.Reflect.DateTimeOffsetToLongConverter Class Reference

Convert C# DateTimeOffset properties to long unix time More...

Inheritance diagram for Avro.Reflect.DateTimeOffsetToLongConverter:

## Public Member Functions
object | ToAvroType (object o, Schema s)
| Convert from DateTimeOffset to Unix long More...
object | FromAvroType (object o, Schema s)
| Convert from Unix long to DateTimeOffset More...
Type | GetAvroType ()
| Avro type More...
Type | GetPropertyType ()
| Property type More...

## Detailed Description

Convert C# DateTimeOffset properties to long unix time

## Member Function Documentation

## ◆ FromAvroType()

object Avro.Reflect.DateTimeOffsetToLongConverter.FromAvroType | ( | object | o,
|  | Schema | s
| ) |  |
| inline

Convert from Unix long to DateTimeOffset

Parameters

  o | long
  s | Schema

Returns

Implements Avro.Reflect.IAvroFieldConverter.

## ◆ GetAvroType()

Type Avro.Reflect.DateTimeOffsetToLongConverter.GetAvroType | ( |  | ) |
| inline

Avro type

Returns

Implements Avro.Reflect.IAvroFieldConverter.

## ◆ GetPropertyType()

Type Avro.Reflect.DateTimeOffsetToLongConverter.GetPropertyType | ( |  | ) |
| inline

Property type

Returns

Implements Avro.Reflect.IAvroFieldConverter.

## ◆ ToAvroType()

object Avro.Reflect.DateTimeOffsetToLongConverter.ToAvroType | ( | object | o,
|  | Schema | s
| ) |  |
| inline

Convert from DateTimeOffset to Unix long

Parameters

  o | DateTimeOffset
  s | Schema

Returns

Implements Avro.Reflect.IAvroFieldConverter.

The documentation for this class was generated from the following file:

- src/apache/main/Reflect/DateTimeOffsetToLongConverter.cs